'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

const OGP = ({ locale = 'en_US', title = 'React App', siteName, url, type = 'website', image, audio, video, movie, description, song }) => {
    return (React__default['default'].createElement(React__default['default'].Fragment, null,
        song && (React__default['default'].createElement(React__default['default'].Fragment, null,
            React__default['default'].createElement("meta", { name: "music:duration", content: song.duration }),
            React__default['default'].createElement("meta", { name: "music:album", content: song.album }),
            React__default['default'].createElement("meta", { name: "music:album:disc", content: song.albumDisc }),
            React__default['default'].createElement("meta", { name: "music:album:track", content: song.albumTrack }),
            React__default['default'].createElement("meta", { name: "music:musician", content: song.musician }))),
        audio && React__default['default'].createElement("meta", { name: "og:audio", content: audio }),
        movie && (React__default['default'].createElement(React__default['default'].Fragment, null,
            React__default['default'].createElement("meta", { name: "video:actor", content: movie.actor }),
            React__default['default'].createElement("meta", { name: "video:actor:role", content: movie.actorRole }),
            React__default['default'].createElement("meta", { name: "video:director", content: movie.director }),
            React__default['default'].createElement("meta", { name: "video:release_date", content: movie.releaseDate }),
            React__default['default'].createElement("meta", { name: "video:tag", content: movie.tag }),
            movie.series && React__default['default'].createElement("meta", { name: "video:series", content: movie.series }))),
        typeof video === 'string' ? (React__default['default'].createElement("meta", { name: "og:video", content: video })) : (React__default['default'].createElement(React__default['default'].Fragment, null,
            React__default['default'].createElement("meta", { property: "og:video:secure_url", content: video.url.includes('http://') ? video.url.replace('http://', 'https://') : video.url }),
            React__default['default'].createElement("meta", { property: "og:video:width", content: video.width.toString() }),
            React__default['default'].createElement("meta", { property: "og:video:height", content: video.height.toString() }),
            React__default['default'].createElement("meta", { name: "og:video:url", content: video.url }),
            React__default['default'].createElement("meta", { property: "og:video:type", content: video.type || 'video/mp4' }))),
        React__default['default'].createElement("meta", { name: "og:locale", content: locale }),
        React__default['default'].createElement("meta", { name: "og:title", content: title }),
        typeof image === 'string' ? (React__default['default'].createElement(React__default['default'].Fragment, null,
            React__default['default'].createElement("meta", { name: "og:image", content: image }),
            React__default['default'].createElement("meta", { property: "og:image:secure_url", content: image.includes('http://') ? image.replace('http://', 'https://') : image }))) : (React__default['default'].createElement(React__default['default'].Fragment, null,
            React__default['default'].createElement("meta", { property: "og:image:secure_url", content: image.url.includes('http://') ? image.url.replace('http://', 'https://') : image.url }),
            React__default['default'].createElement("meta", { property: "og:image:width", content: image.width.toString() }),
            React__default['default'].createElement("meta", { property: "og:image:height", content: image.height.toString() }),
            React__default['default'].createElement("meta", { name: "og:image:url", content: image.url }),
            React__default['default'].createElement("meta", { property: "og:image:type", content: image.type || 'image/jpeg' }))),
        React__default['default'].createElement("meta", { name: "og:url", content: url }),
        React__default['default'].createElement("meta", { property: "og:site_name", content: siteName }),
        React__default['default'].createElement("meta", { property: "og:description", content: description }),
        React__default['default'].createElement("meta", { property: "og:type", content: type })));
};

exports.OGP = OGP;
