/// <reference types="react" />
export declare type OGPVideo = {
    actor: string;
    actorRole: string;
    director: string;
    writer: string;
    duration: string;
    releaseDate: string;
    tag: string;
    series?: string;
};
export declare type OGPSong = {
    duration: string;
    album: string;
    albumDisc: string;
    albumTrack: string;
    musician: string;
};
export declare type OGPMedia = {
    width: number;
    height: number;
    alt: string;
    url: string;
    type?: string;
};
export interface OGPProps {
    image?: string | OGPMedia;
    title: string;
    description: string;
    siteName: string;
    locale?: string;
    url: string;
    type?: 'website' | 'article' | 'book' | 'music.song' | 'music.album' | 'music.playlist' | 'music.radio_station' | 'video.movie' | 'video.episode' | 'video.tv_show' | 'video.other' | 'profile';
    audio?: string;
    video?: string | OGPMedia;
    movie?: OGPVideo;
    song?: OGPSong;
}
export declare const OGP: ({ locale, title, siteName, url, type, image, audio, video, movie, description, song }: OGPProps) => JSX.Element;
